<script>
    async function editProducto(id, nombre, descripcion, precioCompra, precioVenta,stockMinimo) {
        try {
            // Asegúrate de que los elementos con estos IDs existen en el HTML
            $('#editnombre').val(nombre);
            $('#editdescripcion').val(descripcion);
            $('#editcompra').val(precioCompra);
            $('#editventa').val(precioVenta);
            $('#editstockminimo').val(stockMinimo);
            $('#editid').val(id);
    
            // Mostrar el modal
            $('#editProducto').modal('show');
        } catch (error) {
            console.log('ERROR');
            console.error(error);
        }
    }

    
</script>